from machine import Pin, SPI
import os, sdcard

spi = SPI(0,sck=Pin(6), mosi=Pin(7), miso=Pin(4))
sd = sdcard.SDCard(spi, Pin(28))
os.mount(sd, '/sd')
os.chdir('sd')


LV = [[1, 28.47, 60.11, 1007.52, 26678], \
     [2, 28.78, 67.19, 1007.64, 26774], \
     [3, 29.17, 65.73, 1007.34, 26775], \
     [4, 29.83, 64.8, 1006.88, 26838], \
     [5, 30.47, 63.34, 1006.81, 27078]]

fp = open('test_csv.csv', 'a')
for i in range(5):
	fp.write(str(LV[i][0])+','+str(LV[i][1])+','+str(LV[i][2])+','+str(LV[i][3])+','+str(LV[i][4])+str('\n')) #ファイルに書き込み
fp.close()		#ファイルを閉じる


#with open('/test.dat', 'w') as f:	#ファイルに保存
#    f.write(str(a)+','+str(b))	#つまり.CSVファイルになる

print(os.listdir())
print('-------------------------------')
# FAT32 で、容量も 1GB・32GB までＯＫ
fp = open('test_csv.csv', 'r')
print(fp.read())
fp.close()		#ファイルを閉じる


