import os

a=3; b=50; c=100
with open('/test.dat', 'w') as f:	#ファイルに保存
    #f.write("str(a),str(b),str(c)")
    f.write(str(a)+','+str(b)+','+str(c))

a=9; b=8; c=7
with open('/test.dat', 'r') as f:	#ファイルに保存
    con=f.read()
    a, b, c = map(int, con.split(','))
    print(str(a)+','+str(b)+','+str(c))
#-----------------------------------------
print("====　これが使えそう ====")
a=90; b=800
with open('/test.dat', 'w') as f:	#ファイルに保存
    f.write(str(a)+','+str(b))	#つまり.CSVファイルになる

a=9; b=8
with open('/test.dat', 'r') as f:	#ファイルに保存
    con=f.read()
    a, b = map(int, con.split(','))	#それぞれがINTで再現
    print(str(a)+','+str(b))

print("===　map関数について　===")

def multi(i):
    return i*2

list1 = [1,2,3,4,5]		#従来の書き方
list2 = []
for l in list1:
    list2.append(multi(l))
print(list2, '従来のやり方による')

list1 = [1,2,3,4,5]		#一行で書ける
print(list(map(multi, list1)), 'map関数使用のやり方')

os.remove('/test.dat')	#テストファイル削除


#import csv			#MicroPythonには無いようだ


"""
CSVとは、「Comma Separated Values」の略で、各項目間がカンマ（,）で区切られた
データのことです。

map関数とは？
map関数とは、リストやタプルなどの各値に対して、指定した関数を使うことができるものです。
map関数は「高階関数」とも呼ばれています。
高階関数とは、関数を引数として指定できる関数のことです。
たとえば、map関数の引数にabs関数を指定することで、リストの各値を絶対値にすることが
できます。

書式：map(関数、リストやタプルなどのオブジェクト)
"""
